| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_ret_cause Struct Reference
Low Power Modes Functions (LPM)

Deep standby mode return cause. More...

`#include <lpm.h>`

## Data Fields
boolean_t | bRtcEn
| Return from RTC interrupt enable.
boolean_t | bLvdEn
| Return from LVD interrupt enable.
boolean_t | bWakeup1En
| Return from Wakeup1 pin enable.
boolean_t | bWakeup2En
| Return from Wakeup2 pin enable.
boolean_t | bWakeup3En
| Return from Wakeup3 pin enable.
boolean_t | bWakeup4En
| Return from Wakeup4 pin enable.
boolean_t | bWakeup5En
| Return from Wakeup5 pin enable.
boolean_t | bCec0En
| Return from CEC0 interrupt enable.
boolean_t | bCec1En
| Return from CEC1 interrupt enable.

## Detailed Description

Deep standby mode return cause.

Definition at line 154 of file lpm.h.

## Field Documentation

boolean_t bCec0En

Return from CEC0 interrupt enable.

Definition at line 163 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bCec1En

Return from CEC1 interrupt enable.

Definition at line 164 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bLvdEn

Return from LVD interrupt enable.

Definition at line 157 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bRtcEn

Return from RTC interrupt enable.

Definition at line 156 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bWakeup1En

Return from Wakeup1 pin enable.

Definition at line 158 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bWakeup2En

Return from Wakeup2 pin enable.

Definition at line 159 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bWakeup3En

Return from Wakeup3 pin enable.

Definition at line 160 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bWakeup4En

Return from Wakeup4 pin enable.

Definition at line 161 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

boolean_t bWakeup5En

Return from Wakeup5 pin enable.

Definition at line 162 of file lpm.h.

Referenced by Lpm_ConfigDeepStbRetCause().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/lpm/lpm.h